diff --git a/cmake/OpenCVDetectCUDA.cmake b/cmake/OpenCVDetectCUDA.cmake
index c422109..7c7b6e2 100644
--- a/cmake/OpenCVDetectCUDA.cmake
+++ b/cmake/OpenCVDetectCUDA.cmake
@@ -47,6 +47,7 @@ if(CUDA_FOUND)
   if(NOT CMAKE_CROSSCOMPILING)
     list(APPEND _generations "Auto")
   endif()
+  list(APPEND _generations "All")
   set(CUDA_GENERATION "" CACHE STRING "Build CUDA device code only for specific GPU architecture. Leave empty to build for all architectures.")
   if( CMAKE_VERSION VERSION_GREATER "2.8" )
     set_property( CACHE CUDA_GENERATION PROPERTY STRINGS "" ${_generations} )
